Subject: Re: [PATCH 3/4] drop some obsolete "x = x" compiler warning hacks

From: Torsten Bögershausen <[email-masked]>
Date: Sun, 24 Mar 2013 08:17:26 +0100

On 21.03.13 21:47, Jonathan Nieder wrote:
> Jeff King wrote:
> 
>> And 4.3 was old enough for me to say "I do not care if you can run with
>> -Wall -Werror or not", let alone 4.2.
> 
> Changes like this can only reveal bugs (in git or optimizers) that
> were hidden before, without regressing actual runtime behavior, so for
> what it's worth I like them.
> 
> I think perhaps we should encourage people to use
> -Wno-error=uninitialized, in addition to cleaning up our code where
> reasonably recent optimizers reveal it to be confusing.
> 
> Reviewed-by: Jonathan Nieder <[email-masked]>

I got 2 warnings, but reading the comments I feel that

Mac OS 10.6 and i686-apple-darwin10-gcc-4.2.1 (GCC) 4.2.1 (Apple Inc. build 5666) (dot 3)

is outdated ;-)

builtin/cat-file.c: In function ~cmd_cat_file~:
builtin/cat-file.c:196: warning: ~contents~ may be used uninitialized in this function
builtin/cat-file.c:196: note: ~contents~ was declared here

fast-import.c: In function ‘parse_new_commit’:
fast-import.c:2438: warning: ‘oe’ may be used uninitialized in this function
fast-import.c:2438: note: ‘oe’ was declared here